# Uses of Interface
java.lang.classfile.attribute.RuntimeVisibleTypeAnnotationsAttribute

Packages that use RuntimeVisibleTypeAnnotationsAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of RuntimeVisibleTypeAnnotationsAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type RuntimeVisibleTypeAnnotationsAttribute
Modifier and Type
Method
Description
`static AttributeMapper<RuntimeVisibleTypeAnnotationsAttribute>`
Attributes.`runtimeVisibleTypeAnnotations()`
Returns the mapper for the `RuntimeVisibleTypeAnnotations` attribute.

## Uses of RuntimeVisibleTypeAnnotationsAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type RuntimeVisibleTypeAnnotationsAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`RuntimeVisibleTypeAnnotationsAttribute`
Models the `RuntimeVisibleTypeAnnotations` attribute (JVMS §4.7.20), which stores type-use annotations for the annotated uses of types in this structure that are visible to both `class` file consumers and core reflection.
Methods in java.lang.classfile.attribute that return RuntimeVisibleTypeAnnotationsAttribute
Modifier and Type
Method
Description
`static RuntimeVisibleTypeAnnotationsAttribute`
RuntimeVisibleTypeAnnotationsAttribute.`of(TypeAnnotation... annotations)`
Returns a `RuntimeVisibleTypeAnnotations` attribute.
`static RuntimeVisibleTypeAnnotationsAttribute`
RuntimeVisibleTypeAnnotationsAttribute.`of(List<TypeAnnotation> annotations)`
Returns a `RuntimeVisibleTypeAnnotations` attribute.